Ask Your Question
1

PrimeSense Carmine not working under Groovy but works in Fuerte

asked 2013-11-27 02:07:23 -0500

K Chen gravatar image

updated 2013-11-27 05:43:59 -0500

tfoote gravatar image

We have a PrimeSense Carmine sensor (1.09), it works before under both Groovy and Fuerte following the workaround provied by PrimeSense Carmine doesn't work, but ASUS Xtion does. But after several updates, the openni_launch in Groovy no longer works, while the Fuerte one still do. I did the following experiments to investigate the error:

== under ROS Groovy and Fuerte, original package WITHOUT Sensor-Bin-Linux-x86-v5.1.2.1 ==

Driver won't start with openni.launch, giving such error:

[ INFO] [1385557309.784984535]: No devices connected.... waiting for devices to be connected

== under ROS Groovy, after installing Sensor-Bin-Linux-x86-v5.1.2.1 ==

openni.launch will crash, giving many errors, only sensable ones are listed here:

terminate called after throwing an instance of 'openni_wrapper::OpenNIException'
  what():  unsigned int openni_wrapper::OpenNIDriver::updateDeviceList() @ /tmp/buildd/ros-groovy-openni-camera-1.8.9-0precise-20131016-0128/src/openni_driver.cpp @ 125 : enumerating image nodes failed. Reason: One or more of the following nodes could not be enumerated:

           Image: PrimeSense/SensorV2/5.1.2.1: Failed to set USB interface!

           [FATAL] [1385557181.994270107]: Service call failed!

== under ROS Fuerte, after installing Sensor-Bin-Linux-x86-v5.1.2.1, it works smoothly(like the Kinect!) ==

Since we have many other modules work only in ROS Groovy, so we have to make the camera driver working under the same distribution. We are running all these under a 32-bit ubuntu 12.04 machine.

update

I checked the ros-groovy-openni-camera package versions, the current version(20131016) does not work. And I cannot install the old version:

apt-get install ros-groovy-openni-camera=1.8.8-0precise-20130326-0820-+0000

E: Version '1.8.8-0precise-20130326-0820-+0000' for 'ros-groovy-openni-camera' was not found

1.8.8-0precise-20130326-0820-+0000
# this seems to be the start point when it failed
1.8.9-0precise-20130715-0342-+0000
1.8.9-0precise-20130722-0045-+0000
1.8.9-0precise-20130724-2247-+0000
1.8.9-0precise-20130926-0224-+0000
1.8.9-0precise-20131016-0128-+0000

Any suggestions are welcome, thanks in advance!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-11-27 02:14:27 -0500

K Chen gravatar image

updated 2013-11-27 15:22:39 -0500

edit flag offensive delete link more

Comments

Did you try to check out the source code and compile it yourself? Try using the 1.8.8 or rollback_usb branch.

Andrew.A gravatar image Andrew.A  ( 2013-11-27 15:02:47 -0500 )edit

I have a solution here: http://answers.ros.org/question/70585/roslaunch-openni_launch-opennilaunch-no-devices-connected. I'm using 12.10 with groovy, but you can try and see if it works.

Andrew.A gravatar image Andrew.A  ( 2013-11-27 15:05:44 -0500 )edit

Thanks @Andrew.A ! I followed your guide to download the source and compile it on the rollback_usb branch, now it works.

K Chen gravatar image K Chen  ( 2013-12-06 22:52:28 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-11-27 02:07:23 -0500

Seen: 922 times

Last updated: Nov 27 '13